=== debian/changelog ===
python-defaults (2.7.3-4+deb7u1) stable; urgency=low

  * Add symlink for /usr/bin/python2 (Closes: #723182)
    - This was inadvertently omitted during Wheezy development, but is already
      fixed in jessie (the fix proposed here is identical)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 28 Sep 2013 15:30:14 -0400

python-defaults (2.7.3-4) unstable; urgency=low

  [ Dmitry Shachnev ]
  * Revert previous prerm/postrm changes:
    - prerm is never called as `prerm purge`.
    - configuration files shouldn't be deleted on package remove.

 -- Scott Kitterman <scott@kitterman.com>  Fri, 08 Feb 2013 16:26:12 -0500

python-defaults (2.7.3-3) unstable; urgency=low

  [ Piotr Ożarowski ]
  * dh_python2:
    - no longer sensitive to trailing slash in private dir names
      (closes: #686358)
    - ignore /usr/bin/python3 shebangs in all packages, not just in
      python3-* ones
    - generates correct "python (<< 2.X)" dependencies for packages with
      private Python extensions (typo fixed)
  * pyversions.py: fix parsing DEBPYTHON_SUPPORTED env. variable
    (versions should be separated using comma, as in debian_defaults
    config file)

  [ Dmitry Shachnev ]
  * debian/python.{pre,post}rm.in: Handle purge command the same way as
    remove (thanks to Mitsuya Shibata for the bug report)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 21 Oct 2012 22:40:55 +0200

python-defaults (2.7.3-2) unstable; urgency=low

  * dh_python2: ignore empty files while trying to normalize shebangs
    (Closes: #680793)
  * Fix lack of python-imaging in pydist/dist_fallback
    - Add python-imaging override to pydist/generate_fallback_list.py
    - pydist/dist_fallback: Regenerate to add python-imaging (which wasn't
      recognized before due to .pth file) along with a few automatic
      adjustments 

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 26 Jul 2012 23:03:32 +0200

python-defaults (2.7.3-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * dh_python2:
    - remove even more \.so.* dangling symlinks, thanks to Stefano
      Rivera for providing a test case
    - rewrite shebangs by default (disable via --no-shebang-rewrite),
      examples:
       + "/usr/bin/env python*" → "/usr/bin/python*"
       + "/usr/local/bin/python foo" → "/usr/bin/python foo"
       + "/usr/bin/python2" → "/usr/bin/python"
    - new --shebang option to replace all shebangs in bin dirs
      (example: --shebang /usr/bin/python2.6)
    - no longer generates python2.X | python2.Y depenendies for public modules
      (Closes: 625740)
    - translate Python version numbers into Debian ones for those
      require.txt items that have a pydist file with (uscan like) rules
      or PEP386 flag (Closes: #653740)
  * Improve dh_python2 manpage a bit, add information about cleaning debug
    packages (Closes: #653741)
  * pyversions, dh_python2, pycompile: allow to override system's list of
    supported Python versions via DEBPYTHON_SUPPORTED and default Python
    version via DEBPYTHON_DEFAULT env. variables
  * Debhelper's python2 sequence now inserts dh_python2 before dh_installinit
    (closes: 670418)

  [ Scott Kitterman ]
  * Bump upstream version to match current unstable/wheezy python2.7 version

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 30 Jun 2012 20:23:59 +0200

python-defaults (2.7.3~rc2-1) unstable; urgency=low

  [ Scott Kitterman ]
  * Bump minimum debhelper version to 8 so all tests will run
    - dh_python2 tests 1 - 5 require dh 7 and test 6 needs dh 8
  * Move idle.xpm symlink from python to idle and add Breaks/Replaces
  * Move /usr/bin/pyversions from python to python-minimal since that's where
    the actual script it's a symlink to lives, add Breaks/Replaces
  * Bump standards version to 3.9.3 without further change
  * Correct Python package names with hyphens in them being ignored
    (Closes: #657665)
  * Drop -n from /usr/bin/idle invocations in debian/idle.desktop and
    debian/idle.menu (Closes: #482156)
  * Update Python policy
    - Describe addition of /usr/bin/python2 due to upstream changes
    - Remove redundant text on Python provides and clarify when they should be
      used
    - Update description of functionality related to X-Python-Version for
      Wheezy
    - Update X/XS-Python-Versions to also include X-Python-Version examples
    - Add appropriage Breaks/Replaces
  * Bump upstream version to match current unstable/wheezy python2.7 version

  [ Piotr Ożarowski ]
  * dh_python2, pyversions: make comparison of X(S)-Python-Version field names
    case-insensitive (Closes: #676224)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 05 Jun 2012 22:43:11 -0400
