## python-defaults 2.7.3-10ubuntu5

=== debian/changelog ===
python-defaults (2.7.3-10ubuntu5) raring; urgency=low

  * python-all-{dev,dbg}: Depend on libpython-all-{dev,dbg}.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 27 Jan 2013 19:59:56 +0100

python-defaults (2.7.3-10ubuntu4) raring; urgency=low

  * Build libpython-all-{dev,dbg} packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Jan 2013 20:35:02 +0100

python-defaults (2.7.3-10ubuntu3) raring; urgency=low

  * Move lsb-release to Build-Depends.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Dec 2012 11:11:11 +0100

python-defaults (2.7.3-10ubuntu2) raring; urgency=low

  * Make python-{all,all-dev,all-dbg} Multi-Arch: allowed.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Dec 2012 11:02:45 +0100

python-defaults (2.7.3-10ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Move python-docutils, and debiandoc-sgml to Build-Depends from B-D-Indep.
      This fixes build failures with --no-arch-all and in the buildds on
      powerpc, armhf, and amd64.
    - debian/control.in: Build depend on lsb-release to set correct
      Maintainer fields when building on Ubuntu.
    - debian/rules: Ignore version check, as our default versions differ
      from Debian's.
    - debian/control.in, debian/debian_defaults: Drop python2.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Dec 2012 09:17:34 +0100

python-defaults (2.7.3-10) experimental; urgency=low

  * Build dependency packages as architecture dependent packages.
  * Make python, python-{minimal,dev,dbg} Multi-Arch: allowed.
  * Build Multi-Arch: any packages libpython-{dev,dbg} packages providing
    $(DEB_HOST_GNU_TYPE/DEB_HOST_MULTIARCH)-python-config symlinks.
  * Provide python2 symlinks.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Dec 2012 00:25:00 +0100

python-defaults (2.7.3-3ubuntu2) raring; urgency=low

  * debian/control.in: move python-docutils, and debiandoc-sgml to
    Build-Depends from B-D-Indep.  This fixes build failures with
    --no-arch-all and in the buildds on powerpc, armhf, and amd64.

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 28 Nov 2012 17:04:08 -0500

python-defaults (2.7.3-3ubuntu1) raring; urgency=low

  * Resynchronize with Debian unstable, remaining Ubuntu changes:
    - debian/control.in: Build depend on lsb-release to set correct
      Maintainer fields when building on Ubuntu.
    - debian/rules: Ignore version check, as our default versions differ
      from Debian's.
    - debian/control.in, debian/debian_defaults: Drop python2.6 support.
    - debian/rules: Provide Python pkgconfig defaults.
    - debian/rules: Re-add the python2 and python2-config symlinks,
      formerly present in the python2.7 packages (see PEP 394).
    - debian/control.in, debian/rules: Build dependency packages as
      architecture dependent packages (for cross-building python
      extension packages, see LP: #934593).
  * debian/rules: in binary-arch section, use -a argument for dh_* commands.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 28 Nov 2012 14:50:19 +0400
