=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: python-defaults
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>, Piotr Ożarowski <piotr@debian.org>
-Build-Depends: debhelper (>= 8~)
-Build-Depends-Indep: libhtml-tree-perl, debiandoc-sgml, python-docutils (>= 0.4-3)
+Build-Depends: debhelper (>= 8~), python-docutils (>= 0.4-3), debiandoc-sgml, lsb-release
+Build-Depends-Indep: libhtml-tree-perl
 Standards-Version: 3.9.3
 Homepage: http://www.python.org/
 Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python-defaults-debian
 Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python-defaults-debian/files
 
 Package: python
-Architecture: all
+Architecture: any
+Multi-Arch: allowed
 Priority: standard
-Depends: ${misc:Depends}, python2.7 (>= 2.7.3-1~), python-minimal (= ${binary:Version})
+Depends: ${misc:Depends}, python2.7 (>= 2.7.3-10~), python-minimal (= ${binary:Version})
 Suggests: python-doc (= ${binary:Version}), python-tk (= ${binary:Version})
 Conflicts: python-central (<< 0.5.5)
 Breaks: python-csv (<< 1.0-4), python-bz2 (<< 1.1-8), python-email (<< 2.5.5-3), update-manager-core (<< 0.200.5-2)
@@ -28,9 +30,10 @@
  Python version (currently v2.7).
 
 Package: python-minimal
-Architecture: all
+Architecture: any
+Multi-Arch: allowed
 Priority: standard
-Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.3-1~), dpkg (>= 1.13.20)
+Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.3-10~), dpkg (>= 1.13.20)
 Recommends: python
 Conflicts: python-central (<< 0.5.5)
 Breaks: python (<= 2.7.3-1~), python-dev (<< 2.6), python-dbg (<< 2.6), python-all (<< 2.6), python-all-dev (<< 2.6), python-all-dbg (<< 2.6), python-examples (<< 2.6), idle (<< 2.6), python2.5-minimal (<< 2.5.5-7), python2.6-minimal (<< 2.6.5~rc2-2), python3.1-minimal (<< 3.1.2~rc1-2), python-support (<< 1.0.10ubuntu2)
@@ -43,7 +46,7 @@
 
 Package: python-examples
 Architecture: all
-Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-examples (>= 2.7.3-1~)
+Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-examples (>= 2.7.3-10~)
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -52,8 +55,21 @@
  Python version (currently v2.7).
 
 Package: python-dev
-Architecture: all
-Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-dev (>= 2.7.3-1~)
+Architecture: any
+Multi-Arch: allowed
+Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dev (= ${binary:Version}), python2.7-dev (>= 2.7.3-10~)
+Description: header files and a static library for Python (default)
+ Header files, a static library and development tools for building
+ Python modules, extending the Python interpreter or embedding Python
+ in applications.
+ .
+ This package is a dependency package, which depends on Debian's default
+ Python version (currently v2.7).
+
+Package: libpython-dev
+Architecture: any
+Multi-Arch: same
+Depends: libpython2.7-dev (>= 2.7.3-10~), ${misc:Depends}
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -78,7 +94,7 @@
 Package: python-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, python2.7-doc (>= 2.7.3-1~)
+Depends: ${misc:Depends}, python2.7-doc (>= 2.7.3-10~)
 Suggests: python-examples, python (= ${binary:Version})
 Breaks: python (<< 2.3.5)
 Replaces: python (<< 2.3.5)
@@ -101,20 +117,32 @@
  Python version (currently v2.7).
 
 Package: python-dbg
-Architecture: all
-Section: debug
-Priority: extra
-Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-dbg (>= 2.7.3-1~)
+Architecture: any
+Multi-Arch: allowed
+Section: debug
+Priority: extra
+Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7.3-10~)
 Provides: python-gdbm-dbg, python-tk-dbg
 Description: debug build of the Python Interpreter (version 2.7)
  Python interpreter configured with --pydebug. Dynamically loaded modules are
  searched in /usr/lib/python2.7/lib-dynload/debug first.
 
+Package: libpython-dbg
+Architecture: any
+Multi-Arch: same
+Section: debug
+Priority: extra
+Depends: libpython2.7-dbg (>= 2.7.3-10~), ${misc:Depends}
+Description: debug build of the Python Interpreter (version 2.7)
+ Python interpreter configured with --pydebug. Dynamically loaded modules
+ are searched in /usr/lib/python2.7/lib-dynload/debug first.
+
 Package: python-all
-Architecture: all
-Depends: ${misc:Depends}, python (= ${binary:Version}), python2.6 (>= 2.6.7-3), python2.7 (>= 2.7.2-3)
+Architecture: any
+Multi-Arch: allowed
+Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7 (>= 2.7.2-3)
 Description: package depending on all supported Python runtime versions
- The package currently depends on python2.6 and python2.7, in the future,
+ The package currently depends on python2.7, in the future,
  dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
  may be added.
  .
@@ -122,10 +150,11 @@
  avoid hardcoded dependencies on specific Python runtimes.
 
 Package: python-all-dev
-Architecture: all
-Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), python-dev (= ${binary:Version}), python2.6-dev (>= 2.6.5-2), python2.7-dev (>= 2.7-7)
+Architecture: any
+Multi-Arch: allowed
+Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), libpython-all-dev (= ${binary:Version}), python-dev (= ${binary:Version}), python2.7-dev (>= 2.7-7)
 Description: package depending on all supported Python development packages
- The package currently depends on python2.6-dev and python2.7-dev, in the
+ The package currently depends on python2.7-dev, in the
  future, dependencies on jython (Python for a JVM) and ironpython (Python
  for Mono) may be added.
  .
@@ -133,14 +162,44 @@
  avoid hardcoded dependencies on specific Python development packages.
 
 Package: python-all-dbg
-Architecture: all
-Section: debug
-Priority: extra
-Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), python-dbg (= ${binary:Version}), python2.6-dbg (>= 2.6.5-2), python2.7-dbg (>= 2.7-7)
+Architecture: any
+Multi-Arch: allowed
+Section: debug
+Priority: extra
+Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), libpython-all-dbg (= ${binary:Version}), python-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7-7)
 Description: package depending on all supported Python debugging packages
- The package currently depends on python2.6-dbg and python2.7-dbg, in the
+ The package currently depends on python2.7-dbg, in the
  future, dependencies on jython (Python for a JVM) and ironpython (Python
  for Mono) may be added.
  .
  This package is used as a build dependency for other packages to
  avoid hardcoded dependencies on specific Python development packages.
+
+Package: libpython-all-dev
+Architecture: any
+Multi-Arch: same
+Depends: libpython-dev (= ${binary:Version}), ${misc:Depends},
+ libpython2.7-dev
+Description: package depending on all supported Python development packages
+ The package currently depends on libpython2.7-dev, in the
+ future, dependencies on jython (Python for a JVM) and ironpython (Python
+ for Mono) may be added.
+ .
+ This package is a dependency package used as a build dependency for other
+ packages to avoid hardcoded dependencies on specific Python development
+ packages.
+
+Package: libpython-all-dbg
+Architecture: any
+Multi-Arch: same
+Section: debug
+Priority: extra
+Depends: libpython-dbg (= ${binary:Version}), ${misc:Depends},
+ libpython2.7-dbg
+Description: package depending on all supported Python debugging packages
+ The package currently depends on libpython2.7-dbg, in the
+ future, dependencies on jython (Python for a JVM) and ironpython (Python
+ for Mono) may be added.
+ .
+ This package is a dependency package used as a build dependency for other
+ packages to avoid hardcoded dependencies on specific Python debug packages.
