=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 #export DH_VERBOSE=1
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 changelog_values := $(shell dpkg-parsechangelog \
 			| awk '/^(Version|Source):/ {print $$2}')
@@ -20,7 +21,8 @@
 export PVER=python2.7
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 2.7.3-1~
+# first version with Multi-Arch: allowed
+PREVVER := 2.7.3-10~
 
 PWD		:= $(shell pwd)
 
@@ -149,7 +151,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installdirs
-	make check_versions
+	-make check_versions
 	DESTDIR=debian/python PREFIX=/usr make install-dev
 	DESTDIR=debian/python-minimal PREFIX=/usr make install-runtime manpages
 	# disabled by default, run manually if you want to update it
@@ -162,6 +164,53 @@
 	dh_testdir -i
 	dh_testroot -i
 	dh_installman -i
+
+ifeq ($(with_doc),yes)
+	mkdir -p debian/python-doc/usr/share/doc/python
+	ln -sf ../python$(VER)-doc/html \
+		debian/python-doc/usr/share/doc/python/html
+	mkdir -p debian/python-doc/usr/share/doc/python-doc
+	ln -sf ../python$(VER)-doc/html \
+		debian/python-doc/usr/share/doc/python-doc/html
+endif
+
+	: # provide the idle and idle.1 defaults
+	mkdir -p debian/idle/usr/bin
+	install -m 755 debian/idle.py debian/idle/usr/bin/idle
+
+	mkdir -p debian/idle/usr/share/man/man1
+	install -m 644 debian/idle.1 debian/idle/usr/share/man/man1/idle.1
+
+	mkdir -p debian/idle/usr/share/pixmaps
+	ln -sf python.xpm debian/idle/usr/share/pixmaps/idle.xpm
+
+	mkdir -p debian/idle/usr/share/applications
+	cp -p debian/idle.desktop debian/idle/usr/share/applications/
+
+#	dh_installdebconf -i $(NOPKGS)
+	dh_lintian -i
+	dh_installdocs -i $(NOPKGS) --all debian/README.Debian
+	dh_installmenu -i $(NOPKGS)
+	dh_installchangelogs -i $(NOPKGS)
+
+	for p in examples idle; do \
+	  [ $$p = idle ] || p=python-$$p; \
+	  rm -rf debian/$$p/usr/share/doc/$$p; \
+	  ln -sf python debian/$$p/usr/share/doc/$$p; \
+	done
+
+	dh_compress -i $(NOPKGS)
+	dh_fixperms -i $(NOPKGS)
+	dh_installdeb -i $(NOPKGS)
+	dh_gencontrol -i $(NOPKGS)
+	dh_md5sums -i $(NOPKGS)
+	dh_builddeb -i $(NOPKGS)
+
+# Build architecture-dependent files here.
+binary-arch: build install stamp-doc
+	dh_testdir -a
+	dh_testroot -a
+	dh_installman -a
 
 	: # provide the python and python.1 defaults
 	mkdir -p debian/python-minimal/usr/bin
@@ -226,41 +275,3 @@
 		debian/python/usr/share/doc/python$(VER)/python-policy.$$ext; \
 	done
 
-ifeq ($(with_doc),yes)
-	mkdir -p debian/python-doc/usr/share/doc/python
-	ln -sf ../python$(VER)-doc/html \
-		debian/python-doc/usr/share/doc/python/html
-	mkdir -p debian/python-doc/usr/share/doc/python-doc
-	ln -sf ../python$(VER)-doc/html \
-		debian/python-doc/usr/share/doc/python-doc/html
-endif
-
-	mkdir -p debian/python/usr/share/apps/konsole
-	cp -p debian/python.desktop debian/python/usr/share/apps/konsole/
-
-	: # provide the python-config default
-	mkdir -p debian/python-dev/usr/bin
-	ln -sf python$(VER)-config debian/python-dev/usr/bin/python-config
-
-	: # provide the python-dbg and python-dbg.1 defaults
-	mkdir -p debian/python-dbg/usr/bin
-	ln -sf python$(VER)-dbg debian/python-dbg/usr/bin/python-dbg
-	ln -sf python$(VER)-dbg-config debian/python-dbg/usr/bin/python-dbg-config
-	mkdir -p debian/python-dbg/usr/share/man/man1
-	ln -sf python$(VER)-dbg.1.gz \
-		debian/python-dbg/usr/share/man/man1/python-dbg.1.gz
-	mkdir -p debian/python-dbg/usr/share/doc/python
-	ln -sf ../python$(VER)/SpecialBuilds.txt.gz \
-		debian/python-dbg/usr/share/doc/python/SpecialBuilds.txt.gz
-	ln -sf ../python$(VER)/README.debug \
-		debian/python-dbg/usr/share/doc/python/README.debug
-
-	mkdir -p debian/python/usr/lib/valgrind
-	cp -p debian/valgrind-python.supp \
-		debian/python/usr/lib/valgrind/python.supp
-
-	: # provide the idle and idle.1 defaults
-	mkdir -p debian/idle/usr/bin
-	install -m 755 debian/idle.py debian/idle/usr/bin/idle
-
-	mkdir -p debian/idle/usr/share/man/man1
