## python-defaults 2.7.4-0ubuntu1

=== Makefile ===
--- 
+++ 
@@ -56,9 +56,6 @@
 nose:
 	nosetests --with-doctest --with-coverage
 
-unittests:
-	python2.7 -m unittest discover -v
-
 tests: nose
 	make -C tests
