=== debian/changelog ===
python-defaults (2.7.4-0ubuntu1) raring; urgency=low

  * Bump version to 2.7.4.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Apr 2013 20:40:20 +0200

python-defaults (2.7.3-13ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - python2.7 is the only supported version.
    - Build libpython-stdlib, libpython-all-{dev,dbg} packages.
    - Adjusted intra-package dependencies for the above.
    - -all packages are Multi-Arch: allowed.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Mar 2013 10:07:07 -0700

python-defaults (2.7.3-13) experimental; urgency=low

  * Always build the policy files.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Feb 2013 16:46:08 +0100

python-defaults (2.7.3-12) experimental; urgency=low

  * Move python-docutils to build-depends (from build-depends-indep).

 -- Matthias Klose <doko@debian.org>  Thu, 28 Feb 2013 15:58:09 +0100

python-defaults (2.7.3-11) experimental; urgency=low

  * Add Multi-Arch: same packages libpython-all-{dev,dbg} (not yet built,
    python2.6 doesn't have support for multiarch).
  * python-dbg: Stop providing python-gdbm-dbg, python-tk-dbg. Closes: #700716.
  * Add a libpython-stdlib package (not yet built).

 -- Matthias Klose <doko@debian.org>  Thu, 28 Feb 2013 14:43:06 +0100
