=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
 # first version with Multi-Arch: allowed
-PREVVER := 2.7.3-10~
+PREVVER := 2.7.4-1~
 
 PWD		:= $(shell pwd)
